# autofs

Welcome to your new module. A short overview of the generated parts can be found
in the [PDK documentation][1].

The README template below provides a starting point with details about what
information to include in your README.

## Table of Contents

1. [Description](#description)
1. [Setup - The basics of getting started with autofs](#setup)
    * [Setup requirements](#setup-requirements)
    * [Beginning with autofs](#beginning-with-autofs)
1. [Usage - Configuration options and additional functionality](#usage)
1. [Limitations - OS compatibility, etc.](#limitations)
1. [Development - Guide for contributing to the module](#development)

## Description

This module provides management of autofs install, configuration and operation.
There are also types defined to allow creation of mounts, maps and masters in other
modules.

## Setup

### Setup Requirements **OPTIONAL**

This module depends upon puppetlabs-stdlib and puppetlabs-concat in order to operate.

### Beginning with autofs

The following will provide the default values which will install, and ensure the
service is running with a very basic auto.master.

'''puppet
class { 'autofs':
}
'''

## Usage

Sample map:

'''puppet
autofs::map { "auto.home":
}
'''

## Limitations

This module currently can only produce sun format. If you wish to use amd format, you will
need to create the pass the raw content to the respective fields.

## Development

Please report bugs and feature requests using [Github issue tracker](https://github.com/ludovicus3/puppet-autofs/issues).

For pull requests, it is very much appreciated to check your Puppet manifest with
[puppet-lint](http://puppet-lint.com/) to follow the recommened Puppet style guidlines
from the [Puppet Labs style guide](log)

## Contributors

The list of contributors can be found at: [https://github.com/ludovicus3/puppet-autofs/graphs/contributors](https://github.com/ludovicus3/puppet-autofs/graphs/contributors)